# Uses of Class
com.ngrok.definitions.AgentIngress

Packages that use AgentIngress
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of AgentIngress in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type AgentIngress
  Modifier and Type
  Method
  Description
  `List<AgentIngress>`
  AgentIngressList.`getIngresses()`
  the list of Agent Ingresses owned by this account
  Constructor parameters in com.ngrok.definitions with type arguments of type AgentIngress
  Modifier
  Constructor
  Description
  ``
  `AgentIngressList(List<AgentIngress> ingresses, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `AgentIngressList`.

- ## Uses of AgentIngress in com.ngrok.services

  Methods in com.ngrok.services that return AgentIngress
  Modifier and Type
  Method
  Description
  `AgentIngress`
  AgentIngresses.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `AgentIngress`
  AgentIngresses.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `AgentIngress`
  AgentIngresses.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type AgentIngress
  Modifier and Type
  Method
  Description
  `CompletionStage<AgentIngress>`
  AgentIngresses.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<AgentIngress>`
  AgentIngresses.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<AgentIngress>`
  AgentIngresses.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.